Composer

Téléchargez Composer pour disposer d'un gestionnaire de dépendances PHP. Téléchargez la version correcte des composants requis pour le projet avec Composer

8/10 (3 Votes)

Composer est un outil primordial pour le travail des programmeurs PHP. Ce gestionnaire de dépendances PHP est capable de vérifier et de signaler les composants et les bibliothèques qui manquent à votre projet web et la version requise, de les télécharger et de les installer de manière à éviter le travail dur.

Un gestionnaire de paquets?

Non, les créateurs disent clairement qu'il s'agit d'un gestionnaire de dépendances. À différence des gestionnaires de paquets, il travaille en relation direct à vos projets et il installe les dépendances directement dans les répertoires impliqués.

Fonctionnement de Composer

  1. Vous disposez d'un projet sans terminer car vous dépendez d'un grand nombre de bibliothèques.
  2. Ces bibliothèques dépendant d'autres bibliothèques.
  3. Expliquez vos dépendances.
  4. Téléchargez les versions correctes et compatibles directement à votre projet.

Si vous travaillez en PHP téléchargez Composer gratuitement et oubliez toutes les dépendances.

Conditions et information supplémentaire :
  • PHP 5.3.2 ou supérieur requis.
  • Connexion à Internet requise pour l'installation.
Nils Adermann, Jordi Boggiano
Il y a plus d'un an
Plus d'un an
659 KB

Nous aimons vous écouter. Donnez-nous votre avis.

Déconnecté

Déconnecté